<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <!-- disable caching -->
    <!-- https://stackoverflow.com/questions/1341089/using-meta-tags-to-turn-off-caching-in-all-browsers -->
    <meta http-equiv="cache-control" content="max-age=0" />
    <meta http-equiv="cache-control" content="no-cache" />
    <meta http-equiv="expires" content="0" />
    <meta http-equiv="expires" content="Tue, 01 Jan 1980 1:00:00 GMT" />
    <meta http-equiv="pragma" content="no-cache" />
    <!-- disable caching -->
    <title>Golf card game</title>
    <style>
      body {
        font-family: Menlo, Consolas, monospace;
        color: #444;
      }
      /*.item, .card {
        cursor: pointer;
      }*/
      .swappable, .flipable{
        cursor: pointer;
      }
      .bold {
        font-weight: bold;
      }
      .enable{
        /*background-color: lawngreen;*/
      }
      .disable{
        /*background-color: coral;*/
      }
      .hearts, .diamonds{
        color:red;
      }
      .current_player{
        background-color: cornsilk;
      }
      .winner{
        background-color: lawngreen;
      }
      .gameEndedByMe{
        background-color: gold;
      }
      .
      ul {
        padding-left: 1em;
        line-height: 1.5em;
        list-style-type: dot;
      }
      .card img{
        width: 2rem;
        height: 3rem;
      }

      /* responsive styling*/

       

    @media only screen and (max-width: 1024px) and (min-width: 768px) {
         .card {
            font-size: 1em;
         }
         button {
            font-size: 1em;
         }
      }
      
      @media only screen and (max-width: 767px) and (min-width: 401px){
         .card {
            font-size: 1em;
         }
         button {
            font-size: 2em;
         }
      }


      @media only screen 
and (min-device-width : 375px) 
and (max-device-width : 667px) {
         .card {
            font-size: 4.5em;
         }
         button {
            font-size: 2em;
         }
      }
    </style>
    <!-- Delete ".min" for console warnings in development -->
    <script src="dist/vue.js"></script>
  </head>
  <body>

    <!-- item template -->
    <!-- <script type="text/x-template" id="item-template">
      <li>
        <div
          :class="{bold: true}"
          @click="toggle"
          @dblclick="changeType">
          {{model.name}}
          <span v-if="isFolder">[{{open ? '-' : '+'}}]</span>
        </div>
        <ul v-show="open" v-if="isFolder">
          <item
            class="item"
            v-for="model in model.children"
            :model="model">
          </item>
          <li class="add" @click="addChild">+</li>
        </ul>
      </li>
    </script> -->

    <script type="text/x-template" id="card-template">
        <div v-if="!cardmodel || !cardmodel.hasOwnProperty('card')"> NO CARD
        </div>
        <div v-else
          :class="{card:true, bold: true, swappable: (cardmodel.hasOwnProperty('swapMode') && cardmodel.swapMode), flipable: (cardmodel.hasOwnProperty('flipMode') && cardmodel.flipMode)}"
          @click="clicked">
          <span v-if="cardmodel.faceup" :class="{hearts: cardmodel.suit == 'hearts', diamonds: cardmodel.suit == 'diamonds'}">
          <!-- {{cardmodel.card}} -->
          <img :src="cardmodel.url"/>
          </span>

          <span v-else>
          <!-- :)<sup style="font-size: 0.2em">{{cardmodel.pos}}
          </sup> -->
          <img src="cards/Red_Back.svg"/>
          </span>
          
        </div>

    </script>
    <!-- <card :model="model2[index+row*(model2.length/2)]" :player="player" :hand="model2"></card>-->

    <script type="text/x-template" id="hand-template">
    <div>
      <table border="0">
        <tr v-for="row in [0,1]"> 
          <td v-for = "(x,index) in model2.length/2"> 
          <card :player="player" :hand="model2" :cardmodel="model2[index+row*(model2.length/2)]"></card>
          </td>
        </tr>
        
      </table>
        
      </span>
    </div>
      
    </script>

    <script type="text/x-template" id="player-template-orig">
    
    <section  :class="{current_player: model.id==shared.player, winner: model.winner}">
     <span :class="{gameEndedByMe : model.gameEndedByMe}"> {{model.id}} ({{model.countPoints()}}) - <span v-if="model.nextMove.hasOwnProperty('type')" > {{VALID_MOVES[model.nextMove.type]}} - {{model.nextMove.text}}</span> <sup>({{model.lastMove}})</sup>
     </span>
      <hand :model2="model.hand" :player="model"></hand>
      <section class="controls" v-if="shared.player==model.id">
       <!-- <button @click="model.addToQueue">Add To Queue</button> -->
       <!-- <button @click="model.playNextMove">AutoPlay</button> -->
       <div v-if="shared.flipMode || shared.swapMode">
        Choose a card to swap/flip.
       </div>
       <div v-else>
       <button v-if="!shared.picked.hasOwnProperty('card')"@click="model.pickNewCard">Pick New Card</button>
       <button @click="model.enterSwapMode">Swap</button>
       <button v-if="shared.picked.hasOwnProperty('card') && model.countFaceDown()!=1" @click="model.discardPickedAndFlip">Discard & Flip</button>
       <button v-if="shared.picked.hasOwnProperty('card') && model.countFaceDown()==1" @click="model.discardPicked">Discard</button>
       <button v-if="model.countFaceDown()==1" @click="model.openLastCard">Open Last Card</button>
       </div>
      </section>
    </section>
    </script>


    <script type="text/x-template" id="player-template">
    <div>
    <section v-if="!model || !model.hasOwnProperty('id')">
      NO PLAYER
    </section>

    <section v-else :class="{current_player: model.id==shared.player, winner: model.winner}">
     <span :class="{gameEndedByMe : model.gameEndedByMe}"> {{model.id}} ({{model.countPoints()}}) <!-- - <span v-if="model.nextMove.hasOwnProperty('type')" > {{VALID_MOVES[model.nextMove.type]}} - {{model.nextMove.text}}</span> <sup>({{model.lastMove}})</sup> -->
     </span>
     <section v-if="model.id==shared.player && shared.picked.hasOwnProperty('card') && model.human" id="pickedSection" :class="{enable:(shared.picked.hasOwnProperty('card'))}">
          Picked : <span>
          <card :cardmodel="shared.picked"> </card>
          </span>
          </section>
      <hand :model2="model.hand" :player="model"></hand>

      <section class="controls" v-if="shared.player==model.id  && model.human">
       <!-- <button @click="model.addToQueue">Add To Queue</button> -->
       <!-- <button @click="model.playNextMove">AutoPlay</button> -->
       <div v-if="shared.flipMode || shared.swapMode">
        Choose a card to swap/flip.
       </div>
       <div v-else>
       <button v-if="!shared.picked.hasOwnProperty('card')"@click="model.pickNewCard">Pick New Card</button>
       <button @click="model.enterSwapMode">Swap</button>
       <button v-if="shared.picked.hasOwnProperty('card') && model.countFaceDown()!=1" @click="model.discardPickedAndFlip">Discard & Flip</button>
       <button v-if="shared.picked.hasOwnProperty('card') && model.countFaceDown()==1" @click="model.discardPicked">Discard</button>
       <button v-if="model.countFaceDown()==1" @click="model.openLastCard">Open Last Card</button>
       </div>
      </section>
    </section>
    </div>
    </script>
<!-- 
    <p>(You can double click on an item to turn it into a folder.)</p>

    <ul id="demo">
      <item
        class="item"
        :model="treeData">
      </item>
    </ul> -->

    <hr/>

    
    <div id="players" style="width:20%">

    <table> 

      <tr>
        <td></td>
        <td><player :model="shared.players[2]"> </player></td>
        <td></td>
      </tr>
      <tr>
        <td><player :model="shared.players[1]"> </player></td>
        <td align="center">
          
          <section id="discardedSection" :class="{enable:(!shared.picked.hasOwnProperty('card'))}">
            Discarded:<card :cardmodel="discarded[0]"> </card>
          </section>
          
        </td>
        <td><player :model="shared.players[3]"> </player></td>
      </tr>
      <tr>
        <td></td>
        <td><player :model="shared.players[0]"> </player></td>
        <td></td>
      </tr>
    </table>
    
    </div>

    <hr/>
    
    <section id="game">
      Scoreboard <button @click="clearScores">Clear Scores</button>
      <div>
        
        <table border="1">
        <tr>
         <td>
            Game#
          </td>
          <td v-for="(val, key, index) in scores[0]">
            {{key}}
          </td>
        </tr>
        <tr v-for="(game, index) in scores">
          <td>
            {{index+1}}
          </td>
          <td v-for="(val, key) in game">
            {{val}}
          </td>
        </tr>
        <tr>
          <td>
            Total
          </td>
          <td v-for="(val, key) in total">
            <b>{{val}}</b>
          </td>
        </tr>
        </table>
      </div>
    </section>
    
    
    
    <hr/>
    
    <span style="display:inline-block; width: 40px; height: 60px; background-color: lawngreen">&nbsp;</span>
    
    
    <section id="full-deck">
     <!-- NextTurnLog
     <ol>
     <li v-for="(next, i) in queue.$data._queue"> {{next}}</li>
     </ol>
     <hr/>
     TurnLog
     <ol>
     <li v-for="(turn, i) in shared.turnLog"> {{turn}}</li>
     </ol>
     <span>&spades; &hearts; ♠</span>
     <span>&#x1f0cf; -> {{shared.joker}} -> &#127183;</span>
     <div>{{deck.length}}</div>
     <div v-for="card in deck">
     <card :cardmodel="card" ></card>
     </div> -->
    </section>



    <!-- demo code -->
    <script src="tree.js"></script>
  </body>
</html>
